.dealcard{
    box-sizing:border-box;
    box-shadow:2px 2px 5px rgba(0,0,0,.4);
    border-radius: 10px;
    overflow:hidden;
    background: linear-gradient(to top, var(--color-primary-lighter) 0%, white 40%);
}
.dealcard .header{
    position:relative;
    cursor:pointer;
}

.review-container{
    position:absolute;
    top:24px;
    right:24px;
    text-align: center;
}

.dealcard img{
    width:100%;
}

.dealcard .body{
    padding:24px;
}

.dealcard .name{
    padding:5px 0;
    color:var(--color-accent-light);
}

.dealcard .brand{
    color:var(--color-primary-light);
}

.dealcard .rating{
    display:flex;
    font-size:12px;
}

.dealcard .rating span{
    color:var(--color-primary-dark);
}

.dealcard .price{
    padding:16px 0;
}

.dealcard .footer{
    padding:0 20px 24px
}



.dealcard .btn-details{
    background:transparent;
    color:var(--color-primary);
    box-shadow:none;
}

@media(min-width:40em) and (max-width:1023px){
    .dealcard .footer{
        display:flex;
        flex-direction: column;
        text-align: center;
    }
    .dealcard .btn-details{
        margin-top:8px
    }
}